package org.seasar.webwork.nazo;

import com.opensymphony.xwork.config.Configuration;
import com.opensymphony.xwork.config.ConfigurationManager;
import javax.servlet.Servlet;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import junit.framework.TestCase;
import org.seasar.extension.mock.servlet.MockServletConfig;
import org.seasar.framework.container.servlet.S2ContainerServlet;

public class S2NazoConfigurationServletTest extends TestCase {

    public void testInit() throws ServletException {
	ServletConfig containerServletConfig = new MockServletConfig();
	Servlet containerServlet = new S2ContainerServlet();
	containerServlet.init(containerServletConfig);

	ServletConfig configurationServletConfig = new MockServletConfig();
	Servlet configurationServlet = new S2NazoConfigurationServlet();
	configurationServlet.init(configurationServletConfig);

	Configuration configuration = ConfigurationManager.getConfiguration();
	assertTrue(configuration instanceof S2NazoConfiguration);
    }
}
